| Kea 3.0.2-git

libdhcp++.h File Reference
`#include <dhcp/option_definition.h>`
`#include <dhcp/option_space_container.h>`
`#include <dhcp/option_space.h>`
`#include <dhcp/pkt4.h>`
`#include <dhcp/pkt6.h>`
`#include <util/buffer.h>`
`#include <util/staged_value.h>`
`#include <iostream>`
`#include <stdint.h>`
`#include <string>`
Include dependency graph for libdhcp++.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::dhcp::LibDHCP
struct | isc::dhcp::ManagedScopedOptionsCopyContainer

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Typedefs
typedef std::vector< ScopedOptionsCopyPtr > | isc::dhcp::ScopedOptionsCopyContainer
| A container of ScopedOptionsCopyPtr objects.
typedef std::shared_ptr< ScopedSubOptionsCopy > | isc::dhcp::ScopedOptionsCopyPtr
| A pointer to a ScopedSubOptionsCopy object.
typedef ScopedPktOptionsCopy< Pkt4 > | isc::dhcp::ScopedPkt4OptionsCopy
| A pointer to a ScopedPktOptionsCopy object instantiated using Pkt4.
typedef ScopedPktOptionsCopy< Pkt6 > | isc::dhcp::ScopedPkt6OptionsCopy
| A pointer to a ScopedPktOptionsCopy object instantiated using Pkt6.